---
title: AudioNode.channelCount
slug: Web/API/AudioNode/channelCount
tags:
  - API
  - AudioNode
  - Property
  - Reference
  - Web Audio API
  - channelCount
---
<div>{{ APIRef("Web Audio API") }}</div>

<p>The <strong><code>channelCount</code></strong> property of the {{ domxref("AudioNode") }} interface represents an integer used to determine how many channels are used when <a href="/en-US/docs/Web/API/Web_Audio_API/Basic_concepts_behind_Web_Audio_API#Up-mixing_and_down-mixing">up-mixing and down-mixing</a> connections to any inputs to the node.</p>

<p><code>channelCount</code>'s usage and precise definition depend on the value of {{domxref("AudioNode.channelCountMode")}}:</p>

<ul>
 <li>It is ignored if the <code>channelCountMode</code> value is <code>max</code>.</li>
 <li>It is used as a maximum value if the <code>channelCountMode</code> value is <code>clamped-max</code>.</li>
 <li>It is used as the exact value if the <code>channelCountMode</code> value is <code>explicit</code>.</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var oscillator = audioCtx.createOscillator();
var channels = oscillator.channelCount;</pre>

<h3 id="Value">Value</h3>

<p>An integer.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight[11]">var AudioContext = window.AudioContext || window.webkitAudioContext;

var audioCtx = new AudioContext();

var oscillator = audioCtx.createOscillator();
var gainNode = audioCtx.createGain();

oscillator.connect(gainNode);
gainNode.connect(audioCtx.destination);

oscillator.channelCount;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audionode-channelcount', 'channelCount')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioNode.channelCount")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
